package com.eitc;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.web.servlet.ServletComponentScan;


/**
 * 启动程序
 *
 * @author eitc
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class}, scanBasePackages = {"com.eitc"})
@Slf4j
@ServletComponentScan//配置NettyListener 需加上此注解
public class EitcApplication {
    public static void main(String[] args) {
        SpringApplication.run(EitcApplication.class, args);
        System.out.println();
        log.info("-------->>(♥◠‿◠)ﾉﾞ  启动成功   ლ(´ڡ`ლ)ﾞ<<--------");
        System.out.println();
    }
}
